.TH wxSpinCtrl 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxSpinCtrl \- See external documentation: wxSpinCtrl\&.
.SH DESCRIPTION
.LP
See external documentation: wxSpinCtrl <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxSpinCtrl()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxSpinCtrl()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlwxspinctrl>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxSpinCtrl()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Options::[Option]) -> wxSpinCtrl()
.br
.RS
.TP
Types
Option = {id, integer()} | {value, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {min, integer()} | {max, integer()} | {initial, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlwxspinctrl>\&.
.RE
.LP
.B
create(This::wxSpinCtrl(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, [])\&.
.RE
.LP
.B
create(This::wxSpinCtrl(), Parent::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {id, integer()} | {value, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {min, integer()} | {max, integer()} | {initial, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlcreate>\&.
.RE
.LP
.B
setValue(This::wxSpinCtrl(), X::integer() | string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlsetvalue>\&. 
.br
 Alternatives: 
.LP
\fI setValue(This::wxSpinCtrl(), Value::integer()) -> ok \fR 
.LP
\fI setValue(This::wxSpinCtrl(), Text::string()) -> ok \fR 
.RE
.LP
.B
getValue(This::wxSpinCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlgetvalue>\&.
.RE
.LP
.B
setRange(This::wxSpinCtrl(), MinVal::integer(), MaxVal::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlsetrange>\&.
.RE
.LP
.B
setSelection(This::wxSpinCtrl(), From::integer(), To::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlsetselection>\&.
.RE
.LP
.B
getMin(This::wxSpinCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlgetmin>\&.
.RE
.LP
.B
getMax(This::wxSpinCtrl()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxspinctrl\&.html#wxspinctrlgetmax>\&.
.RE
.LP
.B
destroy(This::wxSpinCtrl()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
